@echo off
cls
echo **
echo   COSMO 2 TRAINER                                            
echo   Patches Cosmo 2 so that your life-meter never runs         
echo   down.                                                      
echo         Brought to you by Predator in 1993!                  
echo **
echo  This trainer requires debug to patch the game successfully. 
echo  Make sure it is in your path or in the current directory.   
echo  Cosmo2.exe will be backed up to cosmo2.olz                  
echo **
if "%1" == "" goto help
echo.
echo Press enter to patch or CTRL-BREAK to exit..
pause>nul
if "%1" == "patch" goto patch
if "%1" == "PATCH" goto patch
if "%1" == "unpatch" goto unpatch
if "%1" == "UNPATCH" goto unpatch

:patch
if not exist cosmo2.exe goto nocosmo2
unlzexe cosmo2.exe>nul
if not exist cosmo2.olz copy cosmo2.exe cosmo2.olz>nul
echo.
echo Patching Cosmo2....
ren cosmo2.exe cosmo2.xxx >nul
debug cosmo2.xxx<cosmo2.trn>nul
if not errorlevel 0 goto error
ren cosmo2.xxx cosmo2.exe >nul
echo Cosmo 2 appears to have been patched successfully!
goto end

:unpatch
if not exist cosmo2.exe goto nocosmo2
echo.
echo Removing patch from Cosmo2....
if not exist cosmo2.olz copy cosmo2.exe cosmo2.olz>nul
ren cosmo2.exe cosmo2.xxx >nul
debug cosmo2.xxx<cosmo2un.trn >nul
if not errorlevel 0 goto error
ren cosmo2.xxx cosmo2.exe >nul
echo The patch from Cosmo 2 appears to have been removed successfully!
goto end

:help
echo.
echo Usage: COS2TRN PATCH to patch the file for unlimited life-meter.
echo        COS2TRN UNPATCH to fix the file back as it was before.
echo.
goto end

:nocosmo2
echo.
echo .:. Please copy these files to your Cosmo 2 directory
echo     or the trainer will not work.
goto end

:error
del cosmo2.xxx>nul
echo.
echo There APPEARS to be a problem while patching the file.
echo Maybe you have a different version or something else is wrong?
echo Please check or copy cosmo2.olz to cosmo2.exe

:end

